Subject: Fullscreen on Mac OS X: clicking remote desktop does not bring it to front

From: Spoon Reloaded <[email-masked]>
Date: Thu, 25 Jun 2020 17:01:23 -0700

Package: x2goclient
Version: 4.1.2.2

I am using MacOS 10.15.5. In my x2goclient, I set up a session with
Input/Output -> Display -> Fullscreen. In my XQuartz app preferences,
Output -> Full-screen mode is not checked.

When I am connected, if I switch to another app, I can see my remote
desktop session behind my other app's windows. If I click on a part of
the remote desktop session while another app is in front, the remote
desktop session is still behind my other app's windows, even though
the active app switches to XQuartz. I have to separately click on the
XQuartz icon in the dock to bring the remote desktop session in front
of my other app windows. This is unlike the usual behavior where
clicking on a window brings it to the front.